Intel® Enhanced Privacy ID SDK 2.0.0

Macros | Functions
signbasic.c File Reference

EpidSignBasic implementation. More...

`#include <string.h>`
`#include "epid/common/stack.h"`
`#include "epid/member/api.h"`
`#include "epid/member/context.h"`

## Macros
#define | BREAK_ON_EPID_ERROR(ret)
| Handle SDK Error with Break. More...

## Functions
EpidStatus | EpidSignBasic (MemberCtx const *ctx, void const *msg, size_t msg_len, void const *basename, size_t basename_len, BasicSignature *sig)
| Creates a basic signature for use in constrained environment. More...

## Detailed Description

EpidSignBasic implementation.

## Macro Definition Documentation

#define BREAK_ON_EPID_ERROR | ( |  | ret | ) |

Value:
if (kEpidNoErr != (ret)) { \
break; \
}
kEpidNoErr
no error
Definition: errors.h:41

Handle SDK Error with Break.